For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList projects
      • POSTCreate project
      • GETGet project
      • PUTUpdate project
      • DELDelete project
Status
LogoLogo
API ReferenceProjects

Update project

PUT
https://app.resemble.ai/api/v2/projects/:project_uuid
PUT
/api/v2/projects/:project_uuid
$curl -X PUT https://app.resemble.ai/api/v2/projects/project_uuid \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "success": true,
3 "item": {}
4}
Update a project
Was this page helpful?
Previous

Delete project

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Path parameters

project_uuidstringRequired

Request

This endpoint expects an object.
namestringOptional
descriptionstringOptional
is_collaborativebooleanOptional
is_archivedbooleanOptional

Response

Project updated
successboolean
itemobject